
{% extends 'blog/base.html' %} {% block content %}
<div class="post">
    {% if user.is_authenticated %}
    <a class="pull-right btn btn-default" href="{% url 'post_edit' pk=post.pk %}"><span class="glyphicon glyphicon-pencil"></span></a>
    <a class="pull-right btn btn-default" href="{% url 'post_remove' pk=post.pk %}"><span class="glyphicon glyphicon-remove"></span></a>
    {% endif %}

   
    {% if post.published_date %}
    <div class="date">{{ post.published_date }}</div>
    {% else %}
    <a class="pull-right btn btn-default" href="{% url 'post_publish' pk=post.pk %}"><span class="glyphicon glyphicon-check"></span></a>
    {% endif %}
    <h2>{{ post.title }}</h2>
    <p>{{ post.text|linebreaksbr }}</p>
</div>

<hr />
<a class="btn btn-default" href="{% url 'add_comment_to_post' pk=post.pk %}">Agregar comentario</a>

{% for comment in post.comments.all %} {% if user.is_authenticated or comment.approved_comment %}
<div class="comment">
    <div class="date">
        {{ comment.created_date }} {% if user.is_authenticated %}
        <a class="btn btn-default" href="{% url 'comment_remove' pk=comment.pk %}"><span class="glyphicon glyphicon-remove"></span></a>
        {% endif %} {% if not comment.approved_comment %}
        <a class="btn btn-default" href="{% url 'comment_approve' pk=comment.pk %}"><span class="glyphicon glyphicon-ok"></span></a>
        {% endif %}
    </div>
    <strong>{{ comment.author }}</strong>
    <p>{{ comment.text|linebreaks }}</p>
</div>
{% endif %} {% empty %}
<p>Sin comentarios :(</p>
{% endfor %}
{% endblock %}

